clip3d(3)

NAME
clip3d - Clips the polygon given in vtx using fixed point math. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int clip3d(int type, fixed min_z, fixed max_z, int vc, const V3D *vtx[], V3D *vout[], V3D *vtmp[], int out[]);

DESCRIPTION
Fixed point version of clip3d_f(). This function should be used with caution, due to the limited precision of fixed point arithmetic and high chance of rounding errors: the floating point code is better for most situations.

RETURN VALUE
Returns the number of vertices after clipping is done.

SEE ALSO
polygon3d(3), clip3d_f(3)